GWT 2.7.0

## com.google.gwt.event.logical.shared
Interface HasBeforeSelectionHandlers<T>

Type Parameters:
  `T` - the type about to be selected

All Superinterfaces:
  HasHandlers

All Known Implementing Classes:
  DecoratedTabBar, DecoratedTabPanel, StackLayoutPanel, TabBar, TabLayoutPanel, TabPanel

    public interface HasBeforeSelectionHandlers<T>

extends HasHandlers

A widget that implements this interface is a public source of `BeforeSelectionEvent` events.

Method Summary
`HandlerRegistration` | `addBeforeSelectionHandler(BeforeSelectionHandler<T> handler)` Adds a `BeforeSelectionEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addBeforeSelectionHandler

    HandlerRegistration addBeforeSelectionHandler(BeforeSelectionHandler<T> handler)

  Adds a `BeforeSelectionEvent` handler.

  Parameters:
    `handler` - the handler
  Returns:
    the registration for the event

GWT 2.7.0